#
# spec file for package gtk2-engines (Version 2.6.7)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl atk atk-devel attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 cairo cairo-devel coreutils cpio cpp cracklib cvs cyrus-sasl db desktop-translations diffutils e2fsprogs expat file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale glitz glitz-devel gnome-filesystem gpm grep groff gtk2 gtk2-devel gzip info insserv klogd less libacl libattr libcom_err libdrm libgcc libjpeg libnscd libpng libpng-devel libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openmotif-libs openssl pam pam-modules pango pango-devel patch perl permissions pkgconfig popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip update-desktop-files util-linux vim xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           gtk2-engines
BuildRequires:  gtk2-devel update-desktop-files
Summary:        Engines for GTK2 Themes
Version:        2.6.7
Release:        17.2
License:        GPL
Group:          System/GUI/GNOME
Source:         gtk-engines-%{version}.tar.bz2	
%define       gtk_xfce_version 2.2.1
Source1:        gtk-xfce-engine-%{gtk_xfce_version}.tar.gz
%define       gtk_cleanice_version 2.4.0
Source2:        gtk-engines-cleanice-%{gtk_cleanice_version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
# gnome-themes had Industrial before this version.
Conflicts:      gnome-themes < 2.11.90
Requires:       gtk2 >= 2.7.0
URL:            http://www.gnome.org
%define prefix  /opt/gnome
Patch2:         gtk-xfce-engine-2.1.1-colors.patch
Patch3:         gtk-engines-cleanice2_1.1.5.orig-colors.patch
# Fixes from gnome-themes
Patch6:         indus_43092.diff
Patch14:        gnome-themes-industrial-tree-insensitive-text-color.diff
Patch16:        gnome-themes-fortify.patch

%description
This packages contains the theme engine libraries for GTK2.



%debug_package
%prep
%setup -q -n gtk-engines-%{version} -b 1 -b 2
%{?suse_update_config:%{suse_update_config -f}}
libtoolize --force
aclocal -I /opt/gnome/share/aclocal
autoconf
# Fixes from gnome-themes
%patch6
%patch14
%patch16
#
cd ../gtk-xfce-engine-%{gtk_xfce_version}
%patch2 -p1
#
cd ../gtk-engines-cleanice-%{gtk_cleanice_version}
#%patch3

%build
CFLAGS="$RPM_OPT_FLAGS"
./configure --prefix=%{prefix}  \
	--libdir=%{prefix}/%_lib
make
cd ../gtk-xfce-engine-%{gtk_xfce_version}
./configure --prefix=%{prefix}  \
	--libdir=%{prefix}/%_lib
make
cd ../gtk-engines-cleanice-%{gtk_cleanice_version}
./configure --prefix=%{prefix}  \
	--libdir=%{prefix}/%_lib
make
cd ..

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT%{_docdir}/gtk-xfce-engine
mkdir -p $RPM_BUILD_ROOT%{_docdir}/gtk-engines-cleanice
cd ../gtk-xfce-engine-%{gtk_xfce_version}
make DESTDIR=$RPM_BUILD_ROOT install
cp -a AUTHORS COPYING ChangeLog NEWS README $RPM_BUILD_ROOT%{_docdir}/gtk-xfce-engine
cd ../gtk-engines-cleanice-%{gtk_cleanice_version}
make DESTDIR=$RPM_BUILD_ROOT install
cp -a AUTHORS COPYING ChangeLog NEWS README TODO $RPM_BUILD_ROOT%{_docdir}/gtk-engines-cleanice
cd ..
rm $RPM_BUILD_ROOT%{prefix}/%{_lib}/gtk-2.0/*/engines/*.*a
#rm $RPM_BUILD_ROOT%{prefix}/%{_lib}/gtk-2.0/engines/*.*a

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%doc %{_docdir}/gtk-xfce-engine
%doc %{_docdir}/gtk-engines-cleanice
%{prefix}/%_lib/gtk-2.0/*/engines/*.so
%{prefix}/share/themes/*
%{prefix}/%_lib/pkgconfig/*.pc
#%{prefix}/%{_lib}/gtk-2.0/engines/libclearlooks.so

%changelog -n gtk2-engines
* Mon Mar 13 2006 - sbrabec@suse.cz
- Added Industrial theme fixes from gnome-themes.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Jan 18 2006 - sbrabec@suse.cz
- Updated to version 2.6.7.
* Wed Nov 30 2005 - gekker@suse.de
- Update to version 2.6.6
* Fri Oct 07 2005 - sbrabec@suse.cz
- Removed unneeded static modules and .la files for modules.
* Sun Sep 04 2005 - jpr@suse.de
- Renable clearlooks, upstream removed clearlooks gtkrc from
  gnome-themes (114702)
* Tue Aug 23 2005 - gekker@suse.de
- Update to version 2.6.5
* Tue Aug 16 2005 - ro@suse.de
- remove gnome-themes from nfb (not needed and creates cycle)
* Fri Aug 12 2005 - ro@suse.de
- removed gtkrc for Clearlooks (now in gnome-themes)
* Thu Aug 04 2005 - clahey@suse.de
- Move Industrial gtk2 theme from gnome-themes.
* Tue Aug 02 2005 - gekker@suse.de
- Update to version 2.6.4
* Tue Jun 21 2005 - gekker@suse.de
- Update to version 2.6.3
* Thu Mar 10 2005 - gekker@suse.de
- Update to version 2.6.2 (GNOME 2.10).
* Tue Feb 22 2005 - sbrabec@suse.cz
- Package all engines.
* Fri Feb 11 2005 - gekker@suse.de
- Update to version 2.6.1
* Sun Feb 06 2005 - gekker@suse.de
- Update gtk-engines-cleanice to 2.4.0
- Update gtk-xfce-engine to 2.2.1
* Sat Jan 22 2005 - ro@suse.de
- remove files also present in gnome-themes
* Fri Jan 21 2005 - clahey@suse.de
- Updated to 2.6.0.
* Fri Jan 14 2005 - ro@suse.de
- fix file conflict with gtk2
* Fri Mar 19 2004 - pmladek@suse.cz
- fixed bg[SELECTED] to correspond to the color used by the native
  gtk2 widget, bg[SELECTED] is used only by OpenOffice.org now
* Wed Mar 10 2004 - hhetter@suse.de
- applied patch to resolve issues with 6nome widget theme
  (and some others) in conjunction with gnumeric crashes
  ( SUSE Bugzilla ID#32861, also related:
  http://bugzilla.gnome.org/show_bug.cgi?id=112066 )
* Sat Mar 06 2004 - schwab@suse.de
- Fix doc location.
* Sat Jan 10 2004 - adrian@suse.de
- build as user
* Thu Oct 09 2003 - sbrabec@suse.cz
- Removed thinice engine - now part of gnome-themes.
- Don't package *.la files.
* Wed Jul 23 2003 - hhetter@suse.de
- really prefix to /opt/gnome
* Mon Jul 14 2003 - sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Wed Jun 25 2003 - sbrabec@suse.cz
- Updated neededforbuild.
- Added xfce and cleanice engines.
* Wed Mar 12 2003 - sbrabec@suse.cz
- Fixed prefix clash (fixes bug 25170).
* Thu Feb 06 2003 - sbrabec@suse.cz
- Fixed %%files.
- Added gtk-thinice-engine-2.0.2 to package.
* Wed Jan 29 2003 - hhetter@suse.de
- up to version 2.2.0
* Wed Jan 15 2003 - ro@suse.de
- use wildcard in filelist for gtk2-version
* Fri Jun 21 2002 - hhetter@suse.de
- initial SuSE package
